List Incidents
curl --request GET \
--url http://{host}:{port}/{basePath}/incidents \
--header 'Authorization: <api-key>'{
"apiVersion": "v1",
"kind": "IncidentList",
"metadata": {
"totalCount": 42,
"page": 1,
"pageSize": 20
},
"items": [
{
"name": "INC-20260319-001",
"namespace": "production",
"severity": "high",
"state": "Analyzing",
"resource": "Deployment/payment-service",
"description": "OOMKill detected — container reiniciado 5 vezes nos ultimos 10 minutos",
"riskScore": 65,
"detectedAt": "2026-03-19T15:20:00Z",
"age": "5m",
"assignedTo": "sre-team",
"labels": {
"app": "payment-service",
"team": "platform"
}
},
{
"name": "INC-20260319-002",
"namespace": "staging",
"severity": "medium",
"state": "Resolved",
"resource": "Deployment/api-gateway",
"description": "Alta latencia no endpoint /health",
"riskScore": 30,
"detectedAt": "2026-03-19T14:10:00Z",
"resolvedAt": "2026-03-19T14:35:00Z",
"age": "25m",
"labels": {
"app": "api-gateway",
"team": "backend"
}
}
]
}
Incidents
List Incidents
Returns a list of incidents with optional filters and pagination
GET
/
incidents
List Incidents
curl --request GET \
--url http://{host}:{port}/{basePath}/incidents \
--header 'Authorization: <api-key>'{
"apiVersion": "v1",
"kind": "IncidentList",
"metadata": {
"totalCount": 42,
"page": 1,
"pageSize": 20
},
"items": [
{
"name": "INC-20260319-001",
"namespace": "production",
"severity": "high",
"state": "Analyzing",
"resource": "Deployment/payment-service",
"description": "OOMKill detected — container reiniciado 5 vezes nos ultimos 10 minutos",
"riskScore": 65,
"detectedAt": "2026-03-19T15:20:00Z",
"age": "5m",
"assignedTo": "sre-team",
"labels": {
"app": "payment-service",
"team": "platform"
}
},
{
"name": "INC-20260319-002",
"namespace": "staging",
"severity": "medium",
"state": "Resolved",
"resource": "Deployment/api-gateway",
"description": "Alta latencia no endpoint /health",
"riskScore": 30,
"detectedAt": "2026-03-19T14:10:00Z",
"resolvedAt": "2026-03-19T14:35:00Z",
"age": "25m",
"labels": {
"app": "api-gateway",
"team": "backend"
}
}
]
}
Filter by severity:
critical, high, medium, lowFilter by state:
Detected, Analyzing, Remediating, Resolved, Escalated, FailedFilter by Kubernetes namespace
Filter by resource (e.g.,
Deployment/payment-service)Filter incidents from a given ISO 8601 date (e.g.,
2026-03-19T00:00:00Z)Page number
Items per page (maximum 100)
{
"apiVersion": "v1",
"kind": "IncidentList",
"metadata": {
"totalCount": 42,
"page": 1,
"pageSize": 20
},
"items": [
{
"name": "INC-20260319-001",
"namespace": "production",
"severity": "high",
"state": "Analyzing",
"resource": "Deployment/payment-service",
"description": "OOMKill detected — container reiniciado 5 vezes nos ultimos 10 minutos",
"riskScore": 65,
"detectedAt": "2026-03-19T15:20:00Z",
"age": "5m",
"assignedTo": "sre-team",
"labels": {
"app": "payment-service",
"team": "platform"
}
},
{
"name": "INC-20260319-002",
"namespace": "staging",
"severity": "medium",
"state": "Resolved",
"resource": "Deployment/api-gateway",
"description": "Alta latencia no endpoint /health",
"riskScore": 30,
"detectedAt": "2026-03-19T14:10:00Z",
"resolvedAt": "2026-03-19T14:35:00Z",
"age": "25m",
"labels": {
"app": "api-gateway",
"team": "backend"
}
}
]
}
Authorizations
Bearer token issued by the operator. Format: Authorization: Bearer <token>.
Query Parameters
Filter by severity: critical, high, medium, low.
Available options:
critical, high, medium, low Filter by state: Detected, Analyzing, Remediating, Resolved, Escalated, Failed.
Available options:
Detected, Analyzing, Remediating, Resolved, Escalated, Failed Filter by Kubernetes namespace.
Filter by resource (e.g. Deployment/payment-service).
ISO 8601 timestamp — only return incidents detected at or after this time.
Example:
"2026-03-19T00:00:00Z"
Page number.
Items per page (max 100).
Required range:
x <= 100⌘I